'use strict';

import React, { PropTypes } from 'react';


export default class Next extends React.Component {


  static propTypes = {
    pathNext: PropTypes.string,
    width: PropTypes.number,
    height: PropTypes.number,
    fill: PropTypes.string,
    stroke: PropTypes.string,
    strokeOpacity: PropTypes.number,
    style: PropTypes.object
  };


  static defaultProps = {
    pathNext: 'M2,34 L24.6666667,18 L2,2 L2,34 L2,34 Z M28.6666667,2 L28.6666667,34 L34,34 L34,2 L28.6666667,2 L28.6666667,2 Z',
    width: 250,
    height: 250,
    fill: '#fff',
    stroke: '#000',
    strokeOpacity: 0.15
  };


  constructor(props) {
    super(props);
  }


  render() {
    const { pathNext, width, height, fill, stroke, strokeOpacity, style } = this.props;
    const path = (
      <path
        ref="path"
        d={ pathNext }
      />
    );

    return(
      <svg
        version="1.1"
        xmlns="http://www.w3.org/2000/svg"
        x="0"
        y="0"
        viewBox="0 0 36 36"
        { ...{ width, height, style } }
      >
        <g
          stroke={ stroke }
          strokeWidth="2"
          strokeOpacity={ strokeOpacity }
        >{ path }</g>
        <g fill={ fill }>{ path }</g>
      </svg>
    );
  }


}
