'use strict';

import webpack from 'webpack';
import WebpackDevServer from 'webpack-dev-server';

import webpackConfig from './webpack.config.develop.babel';


new WebpackDevServer(webpack(webpackConfig), {
  publicPath: webpackConfig.output.publicPath,
  contentBase: './docs/',
  hot: true,
  inline: true,
  stats: {
    colors: true,
    chunks: false
  }
}).listen(8080, 'localhost', (err) => {
  if (err) {
    console.log(err);
  }

  console.log('Listening at localhost:8080');
});
